#include "BasicItems.h"

#include "ModelInfo.h"

NoBlockItemType::NoBlockItemType(int id,
    const char* name,
    ItemSkillLevelUpRule* levelUp,
    int brokenTypeId,
    ModelInfo model,
    std::function<Item*()> createItemImp)
    : ItemType(id, name, levelUp, brokenTypeId, model),
      createItemImp(createItemImp)
{}

Item* NoBlockItemType::createItem() const
{
    return createItemImp();
}